QGIS Application - Feature request #14994

QGIS troubles with larger datasets (shp or postgis): featurecount is recounted and attribute tabel is
slow

2016-06-10 03:34 AM - Richard Duivenvoorde

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22941
Description

Having a (not even that big) dataset with say 1 million features, eg download this (100mb) set of shapefiles:

http://geodata.nationaalgeoregister.nl/nwbwegen/extract/nwbwegen.zip

(and open Wegvakken (roadparts) shape).

Working with such a dataset is a pain in the head:

- if you have 'Show Featurecount' enabled: you get a 'updating feature count' popup/dialog upon every styling change/apply. When
opening and closing Layer prop dialog etc etc

- opening the attribute tabel takes ages (I know why: we retrieve the id's for all features....)

Even when I'm zoomed in and I'm looking at max 50 features

But: when | load the shape at that zoom level, it takes just a second to load the 50 features, and the i-tool shows the feature-attributes in a
split second

So what about a 'big dataset'-route for this (moderate to big) size of dataset:

- IF we have a big dataset (either because QGIS did a featurecount, or just because the users says so), we do a spatial retrieveal of the
(visible)features instead of the current strategy for attribute retrieval.

Is this possible?

History

#1 - 2016-06-13 08:16 AM - Matthias Kuhn

Featurecount should be done in a thread, see https:/github.com/qgis/QGIS/pull/3004

Attribute table loading should be done in a thread and make use of server side filtering and server side "order by". When you open the table it will start
loading. If you are not happy with what you get, you change the filter and a new request will be sent to populate the attribute table with e.g. only the current

extent's features.

#2 - 2016-06-26 05:37 AM - Matthias Kuhn
- Subject changed from QGIS troubles with larger datasets (shp or postgis): featurecount is recounted and attrtabel is slow to QGIS troubles with larger
datasets (shp or postgis): featurecount is recounted and attribute tabel is slow

#3 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No
http://geodata.nationaalgeoregister.nl/nwbwegen/extract/nwbwegen.zip
https://github.com/qgis/QGIS/pull/3004

#4 - 2017-09-22 10:05 AM - Jiirgen Fischer
- Category set to Unknown

2025-05-17 22



